Subject: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Oct 2019 16:06:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > I don't feel very strongly about this, but I'm curious: Why don't you
> > want to obsolete at least some of them?  I think they add user
> > confusion and are just not very helpful.
>
> I think an across-the-board obsoletion is easier to communicate than
> doing it piece by piece.

Good point, thanks.

> > Personally, I wouldn't mind a middle ground here: to only obsolete the
> > very low hanging fruit.  To be more concrete, it doesn't seem to me
> > that it would take much effort to immediately obsolete url-irc.el,
> > url-news.el, url-imap.el and url-ns.el.
>
> Oh, I missed irc: and ns:.  :-/  Yes, those are pretty useless...

Given the above, how about just obsoleting url-ns.el?  This file
handles Netscape configuration files, and there should be no problem
communicating the irrelevancy of that.

Best regards,
Stefan Kangas